Package org.bgerp.model.base

# Class IdTitle

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Direct Known Subclasses:
  `AddressBase`, `Attribute`, `AttributeType`, `BoardConfig`, `BoardConfig.BoardFilter`, `Calendar`, `CallboardConfig.Callboard`, `CategoryConfig.Category`, `ContractGroup`, `ContractHierarchyInfo.SubContract`, `ContractObject`, `ContractType`, `CustomerGroup`, `DayType`, `DispatchMessage`, `EventType`, `Executor`, `FileData`, `HdTopic`, `IdTitleComment`, `InetServiceType`, `InvoiceType`, `MessageType`, `News`, `ParamList`, `Party`, `PartyMember`, `Pattern`, `Permset`, `PrintQueueConfig.PrintType`, `Process`, `Queue`, `SavedFilter`, `SavedFiltersConfig.SavedFilterSet`, `SearchableIdTitle`, `Shift`, `Shortcut`, `Status`, `Step`, `Subscription`, `TagConfig.Tag`, `TemplateConfig.Template`, `TrafficType`, `WorkDaysCalendar`, `WorkType`

public class IdTitle extends Id implements IdTitle<Integer>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdTitle()`
  `IdTitle(int id, String title)`
  `IdTitle(Element element)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTitle()`
  `void`
  `setTitle(String value)`
  `String`
  `toString()`
  `static String`
  `unknown(int id)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### title

    protected String title

- ## Constructor Details

  - ### IdTitle

    public IdTitle()

  - ### IdTitle

    public IdTitle(int id, String title)

  - ### IdTitle

    public IdTitle(Element element)

- ## Method Details

  - ### unknown

    public static String unknown(int id)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `Title`

  - ### setTitle

    public void setTitle(String value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`